For the complete documentation index, see llms.txt. This page is also available as Markdown.

UserTasks

User tasks are used to create tasks for users in the system.

Get all user tasks in the system

get
Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · int32OptionalDefault: 1
Responses
200

OK

application/json
integer · int32Optional
get/v1/usertasks
200

OK

Create a user task

post
Authorizations
AuthorizationstringRequired
Body

Model used to create a new user task

Uidstring · uuid · nullableOptional

Unique id of user task

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Responses
200

OK

No content

post/v1/usertasks

No content

Update a user task

put
Authorizations
AuthorizationstringRequired
Body

A task assigned to one or more users in the system

Uidstring · uuid · nullableOptional

Unique id of the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Statusinteger · enumOptional

Represents a status of a user task

  • 0 = New: A new task that is not yet been processed
  • 1 = ReOpened: An otherwise completed task that has been re-opened
  • 2 = InProgress: A task that is currently being worked on
  • 3 = AwaitingFeedback: Task is awaiting feedback from someone
  • 4 = Completed: Task is completed
Possible values:
AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

Responses
200

OK

No content

put/v1/usertasks

No content

Get a batch of user tasks by uids

post
Authorizations
AuthorizationstringRequired
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

OK

application/json

A task assigned to one or more users in the system

Uidstring · uuidOptional

Unique id of the task

Createdstring · date-timeOptional

Timestamp at which the task was created

CreatedBystring · nullableOptional

Id of the user who created the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Statusinteger · enumOptional

Represents a status of a user task

  • 0 = New: A new task that is not yet been processed
  • 1 = ReOpened: An otherwise completed task that has been re-opened
  • 2 = InProgress: A task that is currently being worked on
  • 3 = AwaitingFeedback: Task is awaiting feedback from someone
  • 4 = Completed: Task is completed
Possible values:
AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

post/v1/usertasks/batch
200

OK

Get a user task from its uid

get
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Unique id of user task to get

Responses
200

OK

application/json

A task assigned to one or more users in the system

Uidstring · uuidOptional

Unique id of the task

Createdstring · date-timeOptional

Timestamp at which the task was created

CreatedBystring · nullableOptional

Id of the user who created the task

Deadlinestring · date-time · nullableOptional

Deadline for the task, if any

Titlestring · nullableOptional

Title for the task

Descriptionstring · nullableOptional

Description of the task

Statusinteger · enumOptional

Represents a status of a user task

  • 0 = New: A new task that is not yet been processed
  • 1 = ReOpened: An otherwise completed task that has been re-opened
  • 2 = InProgress: A task that is currently being worked on
  • 3 = AwaitingFeedback: Task is awaiting feedback from someone
  • 4 = Completed: Task is completed
Possible values:
AssignedUsersstring[] · nullableOptional

Ids of specific users to which the task is assigned

AssignedUserGroupsstring · uuid[] · nullableOptional

Ids of user groups to which the task is assigned

get/v1/usertasks/{uid}
200

OK

Delete a user task

delete
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Unique id of user task to delete

Responses
200

OK

No content

delete/v1/usertasks/{uid}

No content

Create a comment on a user task

post
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of user task

Body

Model used to create comment on a user task

Uidstring · uuid · nullableOptional

Unique id of comment

Commentstring · nullableOptional

Comment itself

Responses
200

OK

No content

post/v1/usertasks/{uid}/comments

No content

Update a comment on a user task

put
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of user task

Body
Uidstring · uuidOptional
Commentstring · nullableOptional
Responses
200

OK

No content

put/v1/usertasks/{uid}/comments

No content

Delete a user task

delete
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of user task

Query parameters
commentUidstring · uuidOptional

Unique id of comment to delete

Responses
200

OK

No content

delete/v1/usertasks/{uid}/comments

No content

Last updated